cURL
curl --request GET \
--url https://api.woox.io/v3/trade/transactionHistory \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/trade/transactionHistory"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/trade/transactionHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": 123,
"data": {
"rows": [
{
"id": 123,
"symbol": "<string>",
"orderId": 123,
"orderTag": "<string>",
"executedPrice": "<string>",
"executedQuantity": "<string>",
"isMaker": 123,
"isMatchRpi": true,
"fee": 123,
"feeAsset": "<string>",
"realizedPnl": "<string>",
"executedTimestamp": 123
}
],
"meta": {
"total": 123,
"recordsPerPage": 123,
"currentPage": 123
}
}
}Trading
Get transaction history (in the past 2 years)
Get transaction history (in the past 2 years)
GET
/
v3
/
trade
/
transactionHistory
cURL
Limit: 2 requests per 1 second
Get all the transaction details for a specific symbol in the past 2 years.
Get all the transaction details for a specific symbol in the past 2 years.
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Symbol name
Start timestamp in Unix timestamp format in milliseconds
End timestamp in Unix timestamp format in milliseconds
Trade Id to search from
Number of results per request
⌘I